Package com.arthenica.ffmpegkit

## Class AsyncGetMediaInformationTask

- java.lang.Object
- - com.arthenica.ffmpegkit.AsyncGetMediaInformationTask

All Implemented Interfaces:
  `java.lang.Runnable`

    public class AsyncGetMediaInformationTask
    extends java.lang.Object
    implements java.lang.Runnable

Executes a MediaInformation session asynchronously.

### Constructor Summary

Constructors
`AsyncGetMediaInformationTask​(MediaInformationSession mediaInformationSession)`
`AsyncGetMediaInformationTask​(MediaInformationSession mediaInformationSession, java.lang.Integer waitTimeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncGetMediaInformationTask

    public AsyncGetMediaInformationTask​(MediaInformationSession mediaInformationSession)

#### AsyncGetMediaInformationTask

    public AsyncGetMediaInformationTask​(MediaInformationSession mediaInformationSession,
                                        java.lang.Integer waitTimeout)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`